| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | Public Attributes | List of all members
gdayf.core.experiment_context.Experiment_Context Class Reference
Inheritance diagram for gdayf.core.experiment_context.Experiment_Context:
[legend]
Collaboration diagram for gdayf.core.experiment_context.Experiment_Context:
[legend]

## Public Member Functions
def | __init__ (self, user_id='PoC_gDayF', workflow_id='default', lang='en')
def | set_id_user (self, value)
| Method used to set global variable id_user used to propagate user_id to all modules. More...
def | get_id_user (self)
| Method used to get global variable id_user used to recover user_id in all modules. More...
def | set_id_workflow (self, value)
| Method used to set global variable id_workflow used to propagate workflow_id to all modules. More...
def | get_id_workflow (self)
| Method used to get global variable id_workflow used to recover workflow_id in all modules. More...
def | set_id_analysis (self, value)
| Method used to set global variable id_workflow used to propagate workflow_id to all modules. More...
def | get_id_analysis (self)
| Method used to get global variable id_workflow used to recover workflow_id in all modules. More...

## Public Attributes
| id_user
| timestamp
| id_workflow
| config
| labels
| id_analysis
| spark_temporal_data_frames

## Detailed Description

Definition at line 19 of file experiment_context.py.

## Member Function Documentation

## ◆ get_id_analysis()

def gdayf.core.experiment_context.Experiment_Context.get_id_analysis | ( |  | self | ) |

Method used to get global variable id_workflow used to recover workflow_id in all modules.

Parameters

  model | ArMetadata

Returns
  ArMetadata deepcopy

Definition at line 60 of file experiment_context.py.

## ◆ get_id_user()

def gdayf.core.experiment_context.Experiment_Context.get_id_user | ( |  | self | ) |

Method used to get global variable id_user used to recover user_id in all modules.

Parameters

  self | object pointer

Returns
  id_user

Definition at line 38 of file experiment_context.py.

## ◆ get_id_workflow()

def gdayf.core.experiment_context.Experiment_Context.get_id_workflow | ( |  | self | ) |

Method used to get global variable id_workflow used to recover workflow_id in all modules.

Parameters

  model | ArMetadata

Returns
  ArMetadata deepcopy

Definition at line 49 of file experiment_context.py.

## ◆ set_id_analysis()

def gdayf.core.experiment_context.Experiment_Context.set_id_analysis | ( |  | self,
|  |  | value
| ) |  |

Method used to set global variable id_workflow used to propagate workflow_id to all modules.

Parameters

  value | User id value

Definition at line 54 of file experiment_context.py.

## ◆ set_id_user()

def gdayf.core.experiment_context.Experiment_Context.set_id_user | ( |  | self,
|  |  | value
| ) |  |

Method used to set global variable id_user used to propagate user_id to all modules.

Parameters

  self | object pointer
  value | User id value

Definition at line 32 of file experiment_context.py.

## ◆ set_id_workflow()

def gdayf.core.experiment_context.Experiment_Context.set_id_workflow | ( |  | self,
|  |  | value
| ) |  |

Method used to set global variable id_workflow used to propagate workflow_id to all modules.

Parameters

  value | User id value

Definition at line 43 of file experiment_context.py.

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/core/experiment_context.py